Update
Update the IP allowlist for your organisation
PUT
/
v1
/
ip_allowlists
Update
curl --request PUT \
--url https://api.incident.io/v1/ip_allowlists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowlist": [
{
"label": "London HQ",
"value": "192.0.2.0"
}
],
"enabled": true,
"version": 1
}
'import requests
url = "https://api.incident.io/v1/ip_allowlists"
payload = {
"allowlist": [
{
"label": "London HQ",
"value": "192.0.2.0"
}
],
"enabled": True,
"version": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowlist: [{label: 'London HQ', value: '192.0.2.0'}],
enabled: true,
version: 1
})
};
fetch('https://api.incident.io/v1/ip_allowlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ip_allowlist": {
"allowlist": [
{
"label": "London HQ",
"value": "192.0.2.0"
}
],
"enabled": true,
"updated_at": "2021-08-17T13:28:57.801578Z",
"version": 1
}
}Authorizations
API key from your incident.io dashboard (Settings → API keys)
Body
application/json
A list of IP addresses or CIDR prefixes to allow
Show child attributes
Show child attributes
Example:
[
{
"label": "London HQ",
"value": "192.0.2.0"
}
]
Whether this IP allowlist is enabled or not
Example:
true
The version of this IP allowlist
Example:
1
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update
